#!/usr/local/bin/python

import os, sys
import MySQLdb
from optparse import OptionParser

if len(sys.argv) == 3:
    user, project = sys.argv[1:3]
else:
    sys.exit("Usage %s user project" % sys.argv[0])

try:
    db = MySQLdb.connect(db='tbdb')
except Exception, e:
    if len(e.args) == 2:
	num, str = e.args
    else:
	str = unicode(e)
	num = -1
    sys.exit("Cannot connect: %s (%d)" % (str, num))

c = db.cursor()
c.execute("select uid, uid_idx from users where uid=%s", (user,))

uids = c.fetchall()

if len(uids) == 1:
    uid, uid_idx = uids[0]
else:
    sys.exit("User is not unique??")


c.execute("select pid, pid_idx, gid_idx from groups where pid=%s and pid = gid", (project,))
gids = c.fetchall()

if len(gids) == 1:
    pid, pid_idx, gid_idx = gids[0]
else:
    sys.exit("Group is not unique")

c.execute("select uid from group_membership where uid=%s and pid=%s", (user, project))

uids = c.fetchall()
if len(uids) != 0:
    sys.exit("%s already in %s" % (user, project))

c.execute("insert into group_membership (uid, uid_idx, gid, gid_idx, pid, " + \
	"pid_idx, trust, date_applied, date_approved) " + \
	"values (%s, %s, %s, %s, %s, %s, 'none', now(), now())",
	(uid, uid_idx, pid, gid_idx, pid, pid_idx))

print "inserted %d rows" % c.rowcount
